Name:		bijiben
Version:	3.30.0
Release:	1%{?dist}
Summary:	Simple Note Viewer

# Bijiben is GPLv3+ apart a few files "LGPLv2 or LGPLv3"
# And ligd is LGPLv2+
License:	GPLv3+ and LGPLv3 and LGPLv2+
Url:		http://www.gnome.org
Source0:	http://download.gnome.org/sources/%{name}/3.30/%{name}-%{version}.tar.xz

BuildRequires:	desktop-file-utils
BuildRequires:	itstool
BuildRequires:	gettext
BuildRequires:  meson
BuildRequires:  pkgconfig(gio-unix-2.0) >= 2.28
BuildRequires:  pkgconfig(goa-1.0)
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.11.4
BuildRequires:  pkgconfig(libecal-1.2) >= 3.13.90
BuildRequires:  pkgconfig(libedataserverui-1.2) >= 3.13.90
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(tracker-sparql-2.0)
BuildRequires:  pkgconfig(uuid)
BuildRequires:  pkgconfig(webkit2gtk-4.0)
BuildRequires:	vala
BuildRequires:	yelp-tools
BuildRequires:  libappstream-glib-devel

Requires:	gvfs-goa

# libgd is not meant to be installed as a system-wide shared library.
# It is just a way for GNOME applications to share widgets and other common
# code on an ad-hoc basis.
Provides: bundled(libgd)

%description
Simple note editor which emphasis on visuals : quickly write
notes, quickly find it back.


%prep
%setup -q


%build
%meson
%meson_build


%install
%meson_install

# Update the screenshot shown in the software center
#
# NOTE: It would be *awesome* if this file was pushed upstream.
#
# See http://people.freedesktop.org/~hughsient/appdata/#screenshots for more details.
#
appstream-util replace-screenshots $RPM_BUILD_ROOT%{_datadir}/metainfo/org.gnome.bijiben.appdata.xml \
  https://raw.githubusercontent.com/hughsie/fedora-appstream/master/screenshots-extra/bijiben/a.png \
  https://raw.githubusercontent.com/hughsie/fedora-appstream/master/screenshots-extra/bijiben/b.png \
  https://raw.githubusercontent.com/hughsie/fedora-appstream/master/screenshots-extra/bijiben/c.png

# Validates the .desktop
desktop-file-validate %{buildroot}%{_datadir}/applications/org.gnome.bijiben.desktop

# Creates the file for all locales
%find_lang %{name} --with-gnome

%files -f %{name}.lang
%license COPYING
%doc AUTHORS NEWS README
%{_bindir}/%{name}
%{_datadir}/applications/org.gnome.bijiben.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.bijiben.enums.xml
%{_datadir}/glib-2.0/schemas/org.gnome.bijiben.gschema.xml
# co-own these directories
%dir %{_datadir}/gnome-shell
%dir %{_datadir}/gnome-shell/search-providers
%{_datadir}/gnome-shell/search-providers/org.gnome.bijiben-search-provider.ini
%{_datadir}/dbus-1/services/org.gnome.bijiben.SearchProvider.service
%{_datadir}/icons/hicolor/*/apps/org.gnome.bijiben.png
%{_datadir}/icons/hicolor/scalable/apps/org.gnome.bijiben-symbolic.svg
%{_datadir}/metainfo/org.gnome.bijiben.appdata.xml
%{_datadir}/mime/packages/org.gnome.bijiben.xml
%{_datadir}/%{name}
%{_libexecdir}/%{name}-shell-search-provider

%changelog
* Thu Sep 06 2018 Kalev Lember <klember@redhat.com> - 3.30.0-1
- Update to 3.30.0

* Mon Aug 13 2018 Kalev Lember <klember@redhat.com> - 3.29.90-1
- Update to 3.29.90

* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.28.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 26 2018 Kalev Lember <klember@redhat.com> - 3.28.3-1
- Update to 3.28.3

* Fri May 11 2018 Kalev Lember <klember@redhat.com> - 3.28.2-1
- Update to 3.28.2

* Mon Apr 09 2018 Kalev Lember <klember@redhat.com> - 3.28.1-1
- Update to 3.28.1

* Mon Mar 05 2018 Kalev Lember <klember@redhat.com> - 3.28.0-1
- Update to 3.28.0
- Switch to the meson build system

* Wed Feb 07 2018 Kalev Lember <klember@redhat.com> - 3.26.2-5
- Rebuilt for evolution-data-server soname bump

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.26.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Fri Jan 05 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 3.26.2-3
- Remove obsolete scriptlets

* Wed Nov 08 2017 Milan Crha <mcrha@redhat.com> - 3.26.2-2
- Rebuild for newer libical

* Wed Nov 01 2017 Kalev Lember <klember@redhat.com> - 3.26.2-1
- Update to 3.26.2

* Sun Oct 08 2017 Kalev Lember <klember@redhat.com> - 3.26.1-1
- Update to 3.26.1

* Wed Sep 13 2017 Kalev Lember <klember@redhat.com> - 3.26.0-1
- Update to 3.26.0

* Mon Sep 11 2017 Kalev Lember <klember@redhat.com> - 3.24.2-1
- Update to 3.24.2

* Fri Aug 11 2017 Kalev Lember <klember@redhat.com> - 3.24.1-1
- Update to 3.24.1

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.24.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.24.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon Jun 12 2017 Kalev Lember <klember@redhat.com> - 3.24.0-1
- Update to 3.24.0

* Fri May 05 2017 Milan Crha <mcrha@redhat.com> - 3.21.2-4
- Add upstream patches to build with webkitgtk4

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.21.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Jul 18 2016 Milan Crha <mcrha@redhat.com> - 3.21.2-2
- Rebuild for newer evolution-data-server

* Wed Jun 22 2016 Richard Hughes <rhughes@redhat.com> - 3.21.2-1
- Update to 3.21.2

* Tue Jun 21 2016 Milan Crha <mcrha@redhat.com> - 3.20.2-2
- Rebuild for newer evolution-data-server

* Tue May 10 2016 Kalev Lember <klember@redhat.com> - 3.20.2-1
- Update to 3.20.2

* Fri Apr 15 2016 David Tardon <dtardon@redhat.com> - 3.20.0-3
- rebuild for ICU 57.1

* Sun Apr 03 2016 Mathieu Bridon <bochecha@daitauha.fr> - 3.20.0-2
- Drop the Zeitgeist dependency.

* Tue Mar 22 2016 Kalev Lember <klember@redhat.com> - 3.20.0-1
- Update to 3.20.0

* Mon Mar 14 2016 Kalev Lember <klember@redhat.com> - 3.19.92-1
- Update to 3.19.92

* Tue Feb 16 2016 Richard Hughes <rhughes@redhat.com> - 3.19.90-1
- Update to 3.19.90

* Tue Feb 16 2016 Milan Crha <mcrha@redhat.com> - 3.19.4.1-3
- Rebuild for newer evolution-data-server

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.19.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Jan 19 2016 David King <amigadave@amigadave.com> - 3.19.4-1
- Update to 3.19.4

* Mon Jan 18 2016 David Tardon <dtardon@redhat.com> - 3.19.3-2
- rebuild for libical 2.0.0

* Mon Dec 14 2015 Kalev Lember <klember@redhat.com> - 3.19.3-1
- Update to 3.19.3

* Wed Oct 28 2015 Kalev Lember <klember@redhat.com> - 3.19.1-1
- Update to 3.19.1

* Mon Oct 12 2015 Kalev Lember <klember@redhat.com> - 3.18.1-1
- Update to 3.18.1

* Sun Sep 20 2015 Kalev Lember <klember@redhat.com> - 3.18.0-1
- Update to 3.18.0

* Sun Sep 13 2015 Kalev Lember <klember@redhat.com> - 3.17.92-1
- Update to 3.17.92

* Mon Aug 31 2015 Kalev Lember <klember@redhat.com> - 3.17.91-1
- Update to 3.17.91

* Tue Aug 18 2015 Kalev Lember <klember@redhat.com> - 3.17.90-1
- Update to 3.17.90
- Use make_install macro

* Wed Jul 22 2015 Milan Crha <mcrha@redhat.com> - 3.17.4-2
- Rebuild for newer evolution-data-server

* Sun Jul 19 2015 David King <amigadave@amigadave.com> - 3.17.4-1
- Update to 3.17.4

* Tue Jun 23 2015 David King <amigadave@amigadave.com> - 3.17.3-1
- Update to 3.17.3

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.17.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue May 26 2015 David King <amigadave@amigadave.com> - 3.17.2-1
- Update to 3.17.2 (#1175138)
- Use pkgconfig for BuildRequires

* Fri May 01 2015 Kalev Lember <kalevlember@gmail.com> - 3.17.1-1
- Update to 3.17.1

* Tue Apr 28 2015 Milan Crha <mcrha@redhat.com> - 3.16.1-2
- Rebuild for newer evolution-data-server

* Tue Apr 14 2015 Kalev Lember <kalevlember@gmail.com> - 3.16.1-1
- Update to 3.16.1

* Mon Mar 30 2015 Richard Hughes <rhughes@redhat.com> - 3.16.0-2
- Use better AppData screenshots

* Fri Mar 20 2015 Kalev Lember <kalevlember@gmail.com> - 3.16.0-1
- Update to 3.16.0

* Tue Mar 17 2015 Kalev Lember <kalevlember@gmail.com> - 3.15.92-1
- Update to 3.15.92
- Use license macro for the COPYING file

* Mon Mar 02 2015 Kalev Lember <kalevlember@gmail.com> - 3.15.91-1
- Update to 3.15.91

* Sat Feb 21 2015 Kalev Lember <kalevlember@gmail.com> - 3.15.90-1
- Update to 3.15.90

* Tue Feb 17 2015 Adam Williamson <awilliam@redhat.com> - 3.15.3-2
- rebuild for new e-d-s (patch from mrcha, BGO #744660)

* Fri Dec 19 2014 Richard Hughes <rhughes@redhat.com> - 3.15.3-1
- Update to 3.15.3

* Tue Nov 25 2014 Kalev Lember <kalevlember@gmail.com> - 3.15.2-1
- Update to 3.15.2

* Mon Oct 27 2014 Pierre-Yves Luyten <py@luyten.fr> - 3.15.1-1
- Update to 3.15.1

* Mon Oct 13 2014 Kalev Lember <kalevlember@gmail.com> - 3.14.1-1
- Update to 3.14.1

* Mon Sep 22 2014 Kalev Lember <kalevlember@gmail.com> - 3.14.0-1
- Update to 3.14.0

* Sat Sep 20 2014 Kalev Lember <kalevlember@gmail.com> - 3.13.92-2
- Update mime scriptlets

* Tue Sep 16 2014 Kalev Lember <kalevlember@gmail.com> - 3.13.92-1
- Update to 3.13.92
- Drop large ChangeLog file

* Tue Sep 02 2014 Kalev Lember <kalevlember@gmail.com> - 3.13.91-1
- Update to 3.13.91

* Tue Aug 19 2014 Kalev Lember <kalevlember@gmail.com> - 3.13.90-1
- Update to 3.13.90

* Fri Aug 15 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.13.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Tue Aug 05 2014 Pierre-Yves Luyten <py@luyten.fr> - 3.13.4-2
- Rebuild for bump.

* Mon Jul 21 2014 Kalev Lember <kalevlember@gmail.com> - 3.13.4-1
- Update to 3.13.4

* Tue Jun 24 2014 Richard Hughes <rhughes@redhat.com> - 3.13.3-1
- Update to 3.13.3

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.13.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed May 28 2014 Kalev Lember <kalevlember@gmail.com> - 3.13.2-1
- Update to 3.13.2

* Wed May 14 2014 Pierre-Yves Luyten <py@luyten.fr> - 3.13.1-2
- Depend on gvfs-goa

* Tue Apr 29 2014 Richard Hughes <rhughes@redhat.com> - 3.13.1-1
- Update to 3.13.1

* Mon Mar 24 2014 Richard Hughes <rhughes@redhat.com> - 3.12.0-1
- Update to 3.12.0

* Tue Mar 18 2014 Richard Hughes <rhughes@redhat.com> - 3.11.92-1
- Update to 3.11.92

* Tue Mar 04 2014 Pierre-Yves Luyten <py@luyten.fr> - 3.11.91-1
- Update to 3.11.91

* Thu Feb 20 2014 Kalev Lember <kalevlember@gmail.com> - 3.11.90-2
- Rebuilt for cogl soname bump

* Wed Feb 19 2014 Kalev Lember <kalevlember@gmail.com> - 3.11.90-1
- Update to 3.11.90

* Mon Feb 10 2014 Peter Hutterer <peter.hutterer@redhat.com> - 3.11.5-2
- Rebuild for libevdev soname bump

* Wed Feb 05 2014 Adam Williamson <awilliam@redhat.com> - 3.11.5-1
- new upstream release

* Wed Feb 05 2014 Kalev Lember <kalevlember@gmail.com> - 3.11.4-2
- Rebuilt for cogl soname bump

* Tue Jan 14 2014 Pierre-Yves Luyten <py@luyten.fr> - 3.11.4-1
- new upstream release

* Fri Dec 27 2013 Adam Williamson <awilliam@redhat.com> - 3.11.3-1
- new upstream release, rebuild for new tracker

* Mon Oct 28 2013 Pierre-Yves Luyten <py@luyten.fr> - 3.11.1-1
- Upgrade to 3.11.1
    Improve list view
    Bug Fixes

* Mon Oct 14 2013 Pierre-Yves Luyten <py@luyten.fr> - 3.10.1-1
- Upgrade to 3.10.1
    Fix Tomboy / Gnote import

* Mon Sep 23 2013 Pierre-Yves Luyten <py@luyten.fr> - 3.10.0-1
- Upgrade to 3.10.0

* Mon Sep 02 2013 Pierre-Yves Luyten <py@luyten.fr> - 3.9.92-1
- Upgrade to 3.9.92

* Mon Sep 02 2013 Pierre-Yves Luyten <py@luyten.fr> - 3.9.91-1
- Upgrade to 3.9.91
    Ship appdata
    Update documentation
    Update about dialog
    Use native close button
    Do not abort when traker connection fails

* Tue Aug 20 2013 Pierre-Yves Luyten <py@luyten.fr> - 3.9.90-1
- Upgrade to 3.9.90
    Add a default provider setting
    Update the selection toolbar

* Fri Aug 09 2013 Kalev Lember <kalevlember@gmail.com> - 3.9.5-2
- Rebuilt for cogl 1.15.4 soname bump

* Fri Aug 02 2013 Pierre-Yves Luyten <py@luyten.fr> - 3.9.5-1
- Upgrade to 3.9.5
    Improve Zeitgeist integration
    Fix a crash when immediately closing a note

* Sun Jul 14 2013 Pierre-Yves Luyten <py@luyten.fr> - 3.9.4-1
- Upgrade to 3.9.4
    Rename Notes
    Ship a High Contrast Icon
    Use zeitgeist-2.0
    Use title as a window decoration

* Wed Jun 19 2013 Pierre-Yves Luyten <py@luyten.fr> - 3.9.3-1
- Upgrade to 3.9.3

* Thu May 30 2013 Pierre-Yves Luyten <py@luyten.fr> - 3.9.2-1
- Upgrade to 3.9.2

* Sat May 11 2013 Pierre-Yves Luyten <py@luyten.fr> - 3.9.1-1
- Upgrade to 3.9.1

* Thu May 09 2013 Pierre-Yves Luyten <py@luyten.fr> - 3.8.1-2
- Remove news duplicate, obsolete autoreconf and libgd.la exclude

* Thu Apr 18 2013 Pierre-Yves Luyten <py@luyten.fr> - 3.8.1-1
- New release

* Wed Mar 27 2013 Pierre-Yves Luyten <py@luyten.fr> - 3.8.0-1
- New release

* Mon Mar 18 2013 Pierre-Yves Luyten <py@luyten.fr> - 3.7.92-1
- New release

* Fri Mar 15 2013 Pierre-Yves Luyten <py@luyten.fr> - 3.7.91-3
- Fix icon update (timestamp) in post
- BuildRequire desktop-file-utils

* Wed Mar 13 2013 Pierre-Yves Luyten <py@luyten.fr> - 3.7.91-2
- Patch to get rid of GPLv2+
- Patch to use static link to libgd
- Use find_lang
- Remove define for url_ver
- desktop-file-validate
- update timestamp for icons
- BuildRequire gettext
- BuildRequire yelp-tools
- Provides bundled libgd
- Don't "clean"

* Sun Mar 10 2013 Pierre-Yves Luyten <py@luyten.fr> - 3.7.91-1
- Fix BuildRequires
- Update desktop database
- Add it

* Sun Feb 17 2013 Pierre-Yves Luyten <py@luyten.fr> - 3.7.90-1
- Bump release

* Sat Feb 02 2013 Pierre-Yves Luyten <py@luyten.fr> - 3.7.5-1
- Add cs.

* Mon Jan 14 2013 Pierre-Yves Luyten <py@luyten.fr> - 3.7.4-1
- Add ca pt zh. Remove upstreamed patch.

* Mon Dec 17 2012 Pierre-Yves Luyten <py@luyten.fr> - 3.7.3-1
- Initial package
